@font-face {
  font-family: "Unica";
  src: url("../assets/fonts/NeueHaasUnicaPro_normal_normal_400.woff2")
    format("woff2");
  font-weight: 400;
  font-style: normal;
}
:root {
  /* COLORS */
  /* Primitives */
  --color-orange: #ff7500;
  --color-gold: #f6be00;
  --color-white: #ffffff;
  --color-off-white: #ecece7;
  --color-grey-light: #c8c9c7;
  --color-grey: #75787b;
  --color-off-black: #292929;
  --color-black: #000000;

  /* Semantics */
  /* Text */
  --txt-brand: var(--color-orange);
  --txt-brand-alt: var(--color-gold);
  --txt-primary: var(--color-black);
  --txt-alt: var(--color-grey);

  /* Text Inverse */
  --txt-inverse-default: var(--color-white);
  --txt-inverse-alt: var(--color-grey-light);

  /* Background */
  --bg-primary: var(--color-white);
  --bg-alt: var(--color-off-white);
  --bg-brand: var(--txt-brand);

  /* Background Inverse */
  --bg-inverse-default: var(--color-black);
  --bg-inverse-alt: var(--color-off-black);
  --bg-inverse-brand: var(--color-gold);

  /* Font */
  --font-heading: "Unica", sans-serif;
  --font-body: "Unica", sans-serif;

  /* ANIMATION */
  --anim-bezier: cubic-bezier(0.22, 1, 0.36, 1);

  /* Layout */
  --global-padding: 6rem;

  /* Paramètres de la grille */
  --grid-nbcolumn: 12;
  --grid-sizecolumn: 1fr;
  --grid-gapcolumn: 3rem;
  --grid-template: repeat(var(--grid-nbcolumn), var(--grid-sizecolumn));
}
html {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-text-size-adjust: 100%;
}
h1,
h2,
h3 {
  margin: unset;
  font-weight: unset;
}
em {
  font-style: unset;
}
* {
  box-sizing: border-box;
  margin: 0;
}
*::after,
*::before {
  box-sizing: border-box;
  display: block;
}
button {
  padding: unset;
  border: unset;
  background: unset;
}
strong {
  font-weight: unset;
}
/* GENERAL */
body {
  font-family: var(--font-body);
  background-color: var(--bg-primary);
}
.container {
  max-width: 112.5rem;
  margin: 0 auto;
}
/* Font */
.brand-color {
  color: var(--txt-brand);
}
.brand-alt-color {
  color: var(--txt-brand-alt);
}
.alt-color {
  color: var(--txt-alt);
}
.inverse-default-color {
  color: var(--txt-inverse-default);
}
.inverse-alt-color {
  color: var(--txt-inverse-alt);
}
.title-xxl {
  font-family: var(--font-heading);
  font-weight: 400;
  font-size: clamp(3rem, 5vw + 2rem, 7rem);
  line-height: 1;
  letter-spacing: -0.04em;
}
.title-xl {
  font-family: var(--font-heading);
  font-weight: 400;
  font-size: 4rem;
  line-height: 0.9;
  letter-spacing: -0.04em;
}
.title-md {
  font-family: var(--font-heading);
  font-weight: 400;
  font-size: 3rem;
  line-height: 1.1;
  letter-spacing: -0.04em;
}
.title-sm {
  font-family: var(--font-heading);
  font-weight: 400;
  font-size: 2rem;
  line-height: 1.3;
  letter-spacing: -0.04em;
}
.text-xxl {
  font-family: var(--font-body);
  font-weight: 400;
  font-size: 1.5rem;
  line-height: 1.2;
  letter-spacing: -0.04em;
}
.text-md {
  font-family: var(--font-body);
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5;
  letter-spacing: -0.04em;
}
.text-lg {
  font-family: var(--font-body);
  font-weight: 400;
  font-size: 1.125rem;
  line-height: 1.2;
  letter-spacing: -0.04em;
}
/* Button */
a.btn {
  --btn-height: 2.5rem;
  --btn-bg: red;
  --btn-txt: blue;
  --btn-stroke: green;
  --btn-padding: 0;
  --btn-icon-size: 1.5rem;
  --btn-icon-color: purple;
  --btn-icon-gap: 1rem;
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  color: var(--btn-txt);
  font-family: var(--font-body);
  font-size: 1rem;
  letter-spacing: -0.04em;
  line-height: 1;
  text-box: trim-both cap alphabetic;
  height: var(--btn-height);
  background-color: var(--btn-bg);
  border: var(--btn-stroke) solid 1px;
  padding: var(--btn-padding);
  width: fit-content;
  align-self: flex-start;
}
a.btn span.icon-container {
  width: var(--btn-icon-size);
  height: var(--btn-icon-size);
  margin-left: var(--btn-icon-gap);
  overflow: hidden;
}
a.btn span.icon-container svg {
  color: var(--btn-icon-color);
  width: var(--btn-icon-size);
  height: var(--btn-icon-size);
  transition: transform 500ms var(--anim-bezier);
}
a.btn.solid {
  --btn-padding: 0 1.5rem 0 2rem;
  --btn-icon-gap: 1rem;
  --btn-height: 3rem;
  border: solid 1px var(--btn-stroke);
  transition:
    background-color 500ms var(--anim-bezier),
    color 500ms var(--anim-bezier);
}
a.btn.underline {
  --btn-padding: 0;
  --btn-icon-gap: 0.5rem;
  --btn-height: 2.5rem;
  --btn-icon-size: 1.125rem;
  color: var(--txt-primary);
  background-color: unset;
  position: relative;
  border: unset;
}
a.btn.underline::after {
  content: "";
  position: absolute;
  width: calc(100% - var(--btn-icon-gap) - var(--btn-icon-size));
  height: 1px;
  background-color: currentColor;
  left: 0;
  bottom: 0.625rem;
  transition: transform 500ms var(--anim-bezier);
  transform-origin: right;
  transform: scaleX(0);
}
a.btn.underline:hover span.icon-container svg {
  transform: translateX(var(--btn-icon-size));
}
a.btn.underline:hover::after {
  transform: scaleX(1);
  transform-origin: left;
}
a.btn.underline:not(:hover) span.icon-container svg {
  animation: iconLoopReturn 500ms var(--anim-bezier);
}
@keyframes iconLoopReturn {
  0% {
    transform: translateX(-150%);
  }
  100% {
    transform: translateX(0);
  }
}
a.btn.primary {
  --btn-bg: rgba(0, 0, 0, 0.8);
  --btn-txt: var(--txt-inverse-default);
  --btn-stroke: rgba(0, 0, 0, 0.8);
  --btn-icon-color: var(--txt-brand);
  backdrop-filter: blur(0.5rem);
  border: unset;
}
a.btn.primary:hover {
  --btn-bg: var(--bg-inverse-default);
}
a.btn.secondary {
  --btn-bg: unset;
  --btn-txt: var(--txt-primary);
  --btn-stroke: var(--txt-primary);
  --btn-icon-color: var(--txt-primary);
}
a.btn.secondary:hover {
  --btn-bg: var(--bg-inverse-alt);
}
a.btn.secondary.solid:hover {
  --btn-txt: var(--txt-inverse-default);
  --btn-icon-color: var(--txt-inverse-default);
}
/* Main */
main {
  position: relative;
  z-index: 2;
  background-color: var(--bg-primary);
  margin-bottom: 0;
}
/* Header */
header {
  font-family: var(--font-body);
  color: var(--txt-primary);
  padding: 0 var(--global-padding);
  position: absolute;
  width: 100vw;
  z-index: 3;
  top: 0;
  left: 0;
}
header > .container {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 1.25rem 0;
}
header h1 {
  display: flex;
}
header a.logo {
  font-family: var(--font-heading);
  line-height: 1;
  text-box: trim-both cap alphabetic;
  font-size: 1.5rem;
  letter-spacing: -0.04em;
  margin-right: 4rem;
  text-decoration: none;
  color: unset;
  transition: opacity 500ms var(--anim-bezier);
}
header a.logo:hover {
  opacity: 0.4;
}
header nav {
  margin-right: auto;
}
header nav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: row;
}
header nav li {
  margin-right: 3rem;
}
header nav li a {
  text-decoration: none;
  color: unset;
  position: relative;
}
header nav li a::after {
  content: "";
  width: 100%;
  height: 1px;
  transform: scaleX(0);
  transform-origin: right;
  background-color: currentColor;
  position: absolute;
  left: 0;
  bottom: 0;
  transition: transform 500ms var(--anim-bezier);
}
header nav li a:hover::after {
  transform: scaleX(1);
  transform-origin: left;
}
header nav li a.active {
  color: var(--txt-brand);
  pointer-events: none;
}
/* Animation header */
header.to-reveal {
  transform: translateY(-2rem);
  opacity: 0;
  transition:
    opacity 1.5s var(--anim-bezier),
    transform 1.5s var(--anim-bezier);
}
header.to-reveal.reveal {
  opacity: 1;
  transform: translateY(0);
}

/* Footer */
footer {
  padding: 0 var(--global-padding);
  background-color: var(--bg-inverse-alt);
  overflow: hidden;
  z-index: -1;
  position: relative;
  bottom: 0;
  z-index: 1;
}
footer::before {
  content: "";
  background: url(../assets/images/logo-icon-polestar-dark.svg) center / cover
    no-repeat;
  position: absolute;
  right: -8.5rem;
  bottom: -14.25rem;
  width: 52rem;
  aspect-ratio: 1/1;
  height: auto;
  opacity: 0.4;
}
footer .container {
  position: relative;
  padding: 6rem 0;
  display: grid;
  grid-template-columns: var(--grid-template);
  grid-template-rows: repeat(2, auto);
  column-gap: var(--grid-gapcolumn);
  row-gap: 6rem;
  z-index: 2;
}
footer .newsletter {
  grid-column: 1/4;
  grid-row: 1/1;
}
footer nav {
  grid-column: 5/13;
  grid-row: 1/1;
  display: flex;
  flex-direction: row;
  gap: var(--grid-gapcolumn);
}
footer nav .column {
  display: flex;
  flex-direction: column;
  width: 100%;
}
footer nav ul {
  list-style: none;
  padding: 0;
  margin: 0;
  width: fit-content;
}
footer nav li {
  width: fit-content;
}
footer nav a {
  text-decoration: none;
  margin-bottom: 0.125rem;
  position: relative;
  width: fit-content;
}
footer nav a::after {
  content: "";
  width: 100%;
  background-color: currentColor;
  height: 1px;
  bottom: 0;
  left: 0;
  transition: transform 500ms var(--anim-bezier);
  transform: scaleX(0);
  transform-origin: right;
}
footer nav a:hover::after {
  transform: scaleX(1);
  transform-origin: left;
}
footer nav a:last-child {
  margin-bottom: unset;
}
footer .footer-signature {
  grid-column: 1/-1;
  grid-row: 2/2;
}
footer .footer-signature .big-logo {
  color: var(--txt-brand);
  transition: opacity 500ms var(--anim-bezier);
}
footer .footer-signature .big-logo svg {
  width: 32.25rem;
  height: auto;
}
footer .footer-signature .big-logo:hover {
  opacity: 0.6;
}
footer .footer-signature .social-links {
  display: flex;
  flex-direction: row;
  gap: 1.5rem;
  margin: 1.5rem 0 0;
  padding: 0;
  list-style: none;
}
footer .footer-signature .social-links a {
  text-decoration: none;
  position: relative;
}
footer .footer-signature .social-links a::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: currentColor;
  transition: transform 500ms var(--anim-bezier);
  transform: scaleX(0);
  transform-origin: right;
}
footer .footer-signature .social-links a:hover::after {
  transform: scaleX(1);
  transform-origin: left;
}
/* Message alerte size */
.warning-size {
  display: none;
}
@media screen and (max-width: 63rem) {
  .warning-size {
    position: absolute;
    display: flex;
    height: 100svh;
    width: 100vw;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 1.5rem;
    padding: 1.5rem;
    top: 0;
    left: 0;
    z-index: 9999999;
    background-color: var(--bg-alt);
  }
  .warning-size h1 {
    font-size: 2.5rem;
    text-align: center;
  }
  .warning-size p {
    font-size: 1rem;
    color: var(--txt-alt);
    text-align: center;
    max-width: 38rem;
  }
  header {
    display: none;
  }
  body {
    background-color: var(--bg-alt);
  }
  body,
  html {
    overflow: hidden !important;
    height: 100%;
  }
}
